function [info,widths] = formatTableData(info,latexFlag)
widths = [];
for i=1:length(info)
   row = info{i};
   if length(row) > length(widths), widths(length(row)) = 0; end;
   for j=1:length(row)
      str = row{j};
      str = strrep(str,'e+0','e+');
      str = strrep(str,'e-0','e-');
      if latexFlag
         str = strrep(str,'e+','\e+');
         str = strrep(str,'e-','\e-');
      end
      row{j} = str;

      if length(str) > widths(j)
         widths(j) = length(str);
      end
   end
   info{i} = row;
end

